trigger:
  branches:
    include:
      - test
      - predeploy

resources:
  repositories:
    - repository: vantec_devops
      type: git
      name: VANTEC-DEVOPS/VANTEC-DEVOPS
      ref: refs/heads/main

variables:
  project: "kuk"
  application: "vims-fullscreen"

jobs:
  # Deployment for branch: test
  - template: templates/vims-fullscreen/kuk/windows_vm_backup_and_deploy_template.yml@vantec_devops
    parameters:
      jobName: Test_Deployment
      projectName: "$(project)"
      applicationName: "$(application)"
      repoBranch: "test"
      pollName: "VIMS-KUK"
      agentName: "VIMS-KUK-TEST-40"
      serverDriveLetter: "E:"
      webrootFolderName: "WebRoot"
      projectFolderName: "kuk"
      deployment_description: "KUK VIMS Full Screen - Branch test"

  # Deployment for branch: predeploy
  - template: templates/vims-fullscreen/kuk/windows_vm_backup_and_deploy_template.yml@vantec_devops
    parameters:
      jobName: Predeploy_Deployment
      projectName: "$(project)"
      applicationName: "$(application)"
      repoBranch: "predeploy"
      pollName: "VIMS-KUK"
      agentName: "VIMS-KUK-LIVE-4"
      serverDriveLetter: "F:"
      webrootFolderName: "WebRoot"
      projectFolderName: "kuk-predeploy"
      deployment_description: "KUK VIMS Full Screen - Branch predeploy"

  # Deployment for branch: main
  - template: templates/vims-fullscreen/kuk/windows_vm_backup_and_deploy_template.yml@vantec_devops
    parameters:
      jobName: Production_Deployment
      projectName: "$(project)"
      applicationName: "$(application)"
      repoBranch: "main"
      pollName: "VIMS-KUK"
      agentName: "VIMS-KUK-LIVE-4"
      serverDriveLetter: "F:"
      webrootFolderName: "WebRoot"
      projectFolderName: "kuk-production"
      deployment_description: "KUK VIMS Full Screen - Branch main"
